View Issue Details

IDProjectCategoryView StatusLast Update
0005584DarkRadiantRendererpublic25.02.2022 12:33
Reportergreebo Assigned Togreebo  
PrioritynormalSeveritynormalReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version2.11.0 
Target Version3.0.0Fixed in Version3.0.0 
Summary0005584: Move openGL render calls to Backend
DescriptionRight now the actual glWhatever() calls submitting geometry is purely done in the OpenGLRenderable implementations, like Winding, RenderablePatchWireframe, etc. This makes it impossible for the backend render to perform any state grouping, a lot of render pass preparation is done for each renderable, only to submit 4 vertices plus normals to the driver. Instead of submitting geometry themselves using GL_POLYGON, GL_QUAD_STRIP, etc. each object contributing triangles to the scene should do so using a unified surface data type, similar to what the StaticModelSurfaces are using already.

Goal: no openGL driver calls in the scene::Node implementations, all renderables are submitting their geometry using the same data format, possibly one based on an indexed array of ArbitraryMeshVertices.

The non-triangle data which do not affect light interactions like target arrows, speaker boxes or the manipulator lines are probably not suitable for this new surface data type, but ideally these can be refactored to use something analogous.
TagsNo tags attached.

Relationships

related to 0005893 resolvedgreebo Entity-to-light mapping structures for lighting mode rendering 

Activities

orbweaver

orbweaver

01.11.2021 20:06

developer   ~0014480

This is a great idea. It would also make it easier to switch to using "proper OpenGL" for submitting data, i.e. vertex buffers rather than immediate mode (we actually have a VertexBuffer class but it's never been used).
greebo

greebo

02.11.2021 03:22

administrator   ~0014484

Last edited: 02.11.2021 03:23

I got a rough test going in the renderer branch - completely unsuitable for editing, but I wanted to see if there's any performance benefit in there.

Since rendering the Patch tesselations is taking up the largest portion of the backend render, I tried to move the VBO management to the Shader object itself, so patches are submitting their geometry data to the Shader, which is adding it to one large VBO. The time to render my test scene 100 times went from 7.7s down to 6.0s, so it's worthwile in my opinion. I don't expect to keep that ratio since some time will be lost again due to VBO management and re-arrangement when the patches are modified, but it shows that one single glDrawElements() per OpenGLShaderPass is much faster than having one per Patch mesh and per pass.

I'll try to do the same to brush faces, since they are (in that branch) now the largest contributors to backend rendering time (submitting 4 vertices per winding times 15000). Since the majority of faces are 3, 4, 5 or 6 vertices, I'm thinking it might be worth creating a VBO for each winding size, such that faces can easily update their data without having to re-arrange the whole VBO every time a face is changing - but that might be premature optimisation.
greebo

greebo

26.01.2022 07:30

administrator   ~0014694

It's resolved in the renderer4 branch, but not merged to master yet. Further work is necessary to get the lighting render mode up and running again.

Related Changesets

DarkRadiant: renderer 1d054538

2021-11-01 05:42:21

greebo

Details Diff
0005584: Add camera benchmark method Affected Issues
0005584
mod - radiant/xyview/GlobalXYWnd.cpp Diff File

DarkRadiant: renderer 8dc31253

2021-11-01 07:36:35

greebo

Details Diff
0005584: CamWnd keeps the CamRenderer instance around. The LitRenderables map is now emptied, but the memory is not freed to avoid re-allocating a million entries every frame. Affected Issues
0005584
mod - libs/render/CamRenderer.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/camera/CamWnd.h Diff File

DarkRadiant: renderer 1eee48d4

2021-11-01 07:53:29

greebo

Details Diff
0005584: Purge any shaders that have not been used the last frame, to prevent introducing a long-running memory leak.
Re-using the CamRenderer container memory reduces the time needed to render 100 frames from 8.7 to 7.7 seconds.
Affected Issues
0005584
mod - libs/render/CamRenderer.h Diff File

DarkRadiant: renderer a9e77a3b

2021-11-01 08:10:06

greebo

Details Diff
0005584: Use std::unordered_map to have faster lookups, the CamRenderer::addRenderable method is no longer contributing in the profiler. Affected Issues
0005584
mod - libs/render/CamRenderer.h Diff File

DarkRadiant: renderer 4c2e7335

2021-11-01 09:12:21

greebo

Details Diff
0005584: Use a static identity Matrix4 in Doom3GroupNode::renderSolid/renderWireframe Affected Issues
0005584
mod - radiantcore/entity/doom3group/Doom3GroupNode.cpp Diff File

DarkRadiant: renderer 5b29f123

2021-11-01 09:26:41

greebo

Details Diff
0005584: We can use the world AABB to perform the front-end culling of single model nodes, it is already oriented using localAABB and local2World. Affected Issues
0005584
mod - radiantcore/model/StaticModelNode.cpp Diff File

DarkRadiant: renderer f00364ba

2021-11-01 10:02:45

greebo

Details Diff
0005584: Minor refactoring Affected Issues
0005584
mod - libs/render/CamRenderer.h Diff File

DarkRadiant: renderer b2fd9ab2

2021-11-01 15:30:05

greebo

Details Diff
0005584: Add the ability to attach surface geometry to the Shader object itself - this just serves a hacky proof of concept. Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.h Diff File

DarkRadiant: renderer 3c324a5f

2021-11-01 18:23:38

greebo

Details Diff
0005584: Each Shader is now maintaining VBOs to store the surface data Affected Issues
0005584
mod - libs/render/IndexedVertexBuffer.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File

DarkRadiant: renderer d9ac2aed

2021-11-05 13:09:45

greebo

Details Diff
0005584: Winding rendering experiments Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/Face.h Diff File
add - radiantcore/brush/RenderableWinding.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer dd9d9b89

2021-11-05 14:34:44

greebo

Details Diff
0005584: Start implementing container classes storing the winding vertices Affected Issues
0005584
add - include/iwindingrenderer.h Diff File
add - libs/render/CompactWindingVertexBuffer.h Diff File
add - libs/render/WindingRenderer.h Diff File
add - test/WindingRendering.cpp Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File
mod - tools/msvc/include.vcxproj Diff File
mod - tools/msvc/include.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer 4e39896a

2021-11-06 08:11:49

greebo

Details Diff
0005584: Appending of winding vertices is working now Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - test/WindingRendering.cpp Diff File

DarkRadiant: renderer e907c442

2021-11-06 08:59:52

greebo

Details Diff
0005584: Removal of winding vertices is working now Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - test/WindingRendering.cpp Diff File

DarkRadiant: renderer 98ae4d24

2021-11-06 09:30:25

greebo

Details Diff
0005584: Replacing winding data tests. First WindingRenderer implementation. Affected Issues
0005584
mod - include/iwindingrenderer.h Diff File
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - libs/render/WindingRenderer.h Diff File
mod - test/WindingRendering.cpp Diff File

DarkRadiant: renderer 70959f8e

2021-11-06 17:33:22

greebo

Details Diff
0005584: OpenGLShader implements the IWindingRenderer interface Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: renderer b435b0b9

2021-11-07 05:44:02

greebo

Details Diff
0005584: Winding rendering support. Updates in basic scenarios are working, everything else is crashing. Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/RenderableWinding.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File

DarkRadiant: renderer 752b7ee6

2021-11-07 07:48:59

greebo

Details Diff
0005584: Set front face culling to match the surfaces - they are using an identity matrix right now Affected Issues
0005584
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File

DarkRadiant: renderer db2f11e1

2021-11-07 09:19:22

greebo

Details Diff
0005584: Working on removing windings from the vertex buffers - the current code is conceptually wrong Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/RenderableWinding.h Diff File

DarkRadiant: renderer 888359b6

2021-11-07 09:54:44

greebo

Details Diff
0005584: Simplify things a bit, get rid of the bit-shifting Affected Issues
0005584
mod - include/iwindingrenderer.h Diff File
mod - libs/render/WindingRenderer.h Diff File

DarkRadiant: renderer 5233d478

2021-11-07 14:43:32

greebo

Details Diff
0005584: scene::Node offers a virtual protected method to get notified on visibility changes, which is what we need to un-link our windings from the vertex buffers.
Add a series of (failing) tests checking the Node visibility setters and getters.
Affected Issues
0005584
mod - libs/scene/Node.cpp Diff File
mod - libs/scene/Node.h Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/RenderableWinding.h Diff File
mod - test/CMakeLists.txt Diff File
add - test/SceneNode.cpp Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: renderer 4e56b8db

2021-11-07 15:22:08

greebo

Details Diff
0005584: Only nodes in the scene can be considered visible, regardless of the forcedVisibility status flag.
Call onVisibilityChanged when inserting/removing from the scene.
Affected Issues
0005584
mod - libs/scene/Node.cpp Diff File

DarkRadiant: renderer 97f2834f

2021-11-07 15:26:07

greebo

Details Diff
0005584: Adjust Node::setForcedVisibility and Node::setFiltered() implementations to fire visibility change events Affected Issues
0005584
mod - libs/scene/Node.cpp Diff File
mod - libs/scene/Node.h Diff File

DarkRadiant: renderer 17147978

2021-11-07 15:36:42

greebo

Details Diff
0005584: Faces remove their windings from the render buffers when the owning brush goes invisible Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/Face.h Diff File

DarkRadiant: renderer 1b9174fd

2021-11-07 15:51:19

greebo

Details Diff
0005584: Fix one of those embarrassing refactoring logic errors. Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/brush/RenderableWinding.h Diff File

DarkRadiant: renderer 50117a8b

2021-11-07 17:27:13

greebo

Details Diff
0005584: Introduce Renderable::onPreRender method to give every visible node a chance to prepare their geometry Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File

DarkRadiant: renderer c47e4b93

2021-11-10 03:49:33

greebo

Details Diff
0005584: Crude attempt at moving the GL draw calls from Winding to the OpenGLShader. Renderable nodes are allowed to submit RenderableGeometry types (for this render frame only) with a set of highlight flags. One or more corresponding Shader objects will then receive a reference to this RenderableGeometry type. Affected Issues
0005584
mod - include/irender.h Diff File
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/Winding.cpp Diff File
mod - radiantcore/brush/Winding.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File

DarkRadiant: renderer 5f19f0a3

2021-11-10 05:33:18

greebo

Details Diff
0005584: Brush selection highlighting is working Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer 98bde91f

2021-11-10 05:56:17

greebo

Details Diff
0005584: OpenGLShader objects report as "not visible" when there's an invisible material attached. Affected Issues
0005584
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File

DarkRadiant: renderer a8bc5373

2021-11-12 07:32:25

greebo

Details Diff
0005584: OpenGLShader now offers an interface to attach indexed vertices directly, returning a handle for later manipulation. Affected Issues
0005584
mod - include/irender.h Diff File
add - include/isurfacerenderer.h Diff File
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
add - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/include.vcxproj Diff File
mod - tools/msvc/include.vcxproj.filters Diff File

DarkRadiant: renderer 9fd332ad

2021-11-12 13:58:45

greebo

Details Diff
0005584: Hidden Patch nodes disconnect their geometry from the shader Affected Issues
0005584
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer d6e86304

2021-11-12 14:37:01

greebo

Details Diff
0005584: Selected Patches submit separate geometry to render the quad mesh overlay Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer 4d9bc0d8

2021-11-13 04:04:43

greebo

Details Diff
0005584: The RenderableCollector now receives the renderables only when there's anything to highlight. Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - test/Entity.cpp Diff File

DarkRadiant: renderer cdafb3ba

2021-11-13 05:07:47

greebo

Details Diff
0005584: Disable all code related to RenderableGeometry, this is most likely a dead end. Affected Issues
0005584
mod - include/irender.h Diff File
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/Winding.cpp Diff File
mod - radiantcore/brush/Winding.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File

DarkRadiant: renderer e4bae9c2

2021-11-13 05:38:14

greebo

Details Diff
0005584: For oriented renderables that need to have the parent local2world transform applied before rendering, there's not quick solution here.
Introduce Renderable::isOriented() which should return true to have the nodes rendered in the regular frontend pass.
Brushes and Patches return isOriented == false since their regular visual mesh is attached to the large vertex buffer in the material. They only get rendered if there's something to highlight like selections or merge visualisations.
Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File
mod - radiantcore/particles/ParticleNode.cpp Diff File
mod - radiantcore/particles/ParticleNode.h Diff File

DarkRadiant: renderer b8deeb58

2021-11-13 13:07:26

greebo

Details Diff
0005584: Prepare for orthoview winding rendering, which needs to be using GL_LINES as primitive type. The CompactWindingVertexBuffer needs to generate its indices in a different way for this purpose. Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: renderer 362d05b8

2021-11-13 14:00:18

greebo

Details Diff
0005584: Refactor CompactWindingVertexBuffer to use a template WindingIndexer type to generate the indices. Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - test/WindingRendering.cpp Diff File

DarkRadiant: renderer f0eace1a

2021-11-13 14:13:10

greebo

Details Diff
0005584: Implement WindingIndexer_Lines. Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - test/WindingRendering.cpp Diff File

DarkRadiant: renderer 478dbe88

2021-11-14 03:24:15

greebo

Details Diff
0005584: WindingRenderer must be instantiated with the correct indexer type now Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer b49f9730

2021-11-14 03:37:48

greebo

Details Diff
0005584: Use the same RenderableWinding structure for brushes in wireframe rendering Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/Face.h Diff File

DarkRadiant: renderer d41a1723

2021-11-14 04:41:53

greebo

Details Diff
0005584: Introduce view type flags applied to OpenGLShaders. Shaders are now maintaining geometry between frames, and not all of them should be submitting their geometry to every view type. Affected Issues
0005584
mod - include/irender.h Diff File
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.h Diff File

DarkRadiant: renderer 1d628688

2021-11-14 11:19:46

greebo

Details Diff
0005584: Move template specialisations to namespace scope. Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File

DarkRadiant: renderer e58ce0e0

2021-11-14 15:26:03

greebo

Details Diff
0005584: Move common node processing logic to a RenderableCollectorBase class, instead of having the RenderableCollectionWalker instrument the collector back and forth again. Affected Issues
0005584
mod - include/imanipulator.h Diff File
mod - include/imousetool.h Diff File
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
add - libs/render/RenderableCollectorBase.h Diff File
mod - libs/render/RenderablePivot.h Diff File
mod - libs/render/RenderableSpacePartition.h Diff File
mod - libs/render/SceneRenderWalker.h Diff File
mod - libs/scene/BasicRootNode.h Diff File
mod - libs/scene/merge/MergeActionNode.cpp Diff File
mod - libs/scene/merge/MergeActionNode.h Diff File
mod - radiant/ui/aas/RenderableAasFile.cpp Diff File
mod - radiant/ui/aas/RenderableAasFile.h Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiant/xyview/tools/MeasurementTool.cpp Diff File
mod - radiant/xyview/tools/MeasurementTool.h Diff File
mod - radiantcore/brush/Brush.cpp Diff File
mod - radiantcore/brush/Brush.h Diff File
mod - radiantcore/brush/BrushClipPlane.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/Face.h Diff File
mod - radiantcore/brush/FaceInstance.cpp Diff File
mod - radiantcore/brush/FaceInstance.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/VertexInstance.h Diff File
mod - radiantcore/entity/curve/Curve.cpp Diff File
mod - radiantcore/entity/curve/Curve.h Diff File
mod - radiantcore/entity/curve/CurveEditInstance.cpp Diff File
mod - radiantcore/entity/curve/CurveEditInstance.h Diff File
mod - radiantcore/entity/doom3group/Doom3Group.cpp Diff File
mod - radiantcore/entity/doom3group/Doom3Group.h Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.cpp Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.h Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.cpp Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.h Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.h Diff File
mod - radiantcore/entity/light/Light.cpp Diff File
mod - radiantcore/entity/light/Light.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/entity/target/TargetLineNode.h Diff File
mod - radiantcore/map/PointFile.cpp Diff File
mod - radiantcore/map/PointFile.h Diff File
mod - radiantcore/map/RootNode.h Diff File
mod - radiantcore/model/NullModel.cpp Diff File
mod - radiantcore/model/NullModel.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File
mod - radiantcore/model/StaticModel.cpp Diff File
mod - radiantcore/model/StaticModel.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File
mod - radiantcore/particles/ParticleNode.cpp Diff File
mod - radiantcore/particles/ParticleNode.h Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File
mod - radiantcore/particles/RenderableParticle.h Diff File
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.h Diff File
mod - radiantcore/selection/manipulators/ManipulatorBase.h Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File
mod - radiantcore/selection/manipulators/ScaleManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/ScaleManipulator.h Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.h Diff File
mod - test/Entity.cpp Diff File
mod - test/SceneNode.cpp Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer fc12d62e

2021-11-14 15:40:42

greebo

Details Diff
0005584: Use the scene graph overloads accepting a lambda, this reduces the RenderableCollectionWalker to a single static method. Affected Issues
0005584
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - libs/render/RenderableCollectorBase.h Diff File

DarkRadiant: renderer 6da53669

2021-11-14 17:52:49

greebo

Details Diff
0005584: Since Brushes and Patches maintain their geometry in the shader, they need to know when they should submit their ordinary geometry to the IRenderableCollector. Extend the Renderable interface by a renderHighlights() method which asks the nodes to submit the geometry that should be used for rendering overlays. Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/render/RenderableCollectorBase.h Diff File
mod - libs/render/RenderableSpacePartition.h Diff File
mod - libs/scene/BasicRootNode.h Diff File
mod - libs/scene/merge/MergeActionNode.cpp Diff File
mod - libs/scene/merge/MergeActionNode.h Diff File
mod - radiant/ui/aas/RenderableAasFile.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/entity/target/TargetLineNode.h Diff File
mod - radiantcore/map/PointFile.h Diff File
mod - radiantcore/map/RootNode.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File
mod - radiantcore/particles/ParticleNode.cpp Diff File
mod - radiantcore/particles/ParticleNode.h Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File
mod - radiantcore/particles/RenderableParticle.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.h Diff File
mod - test/SceneNode.cpp Diff File

DarkRadiant: renderer f2b4d088

2021-11-14 18:06:44

greebo

Details Diff
0005584: Fix selected patch control vertices highlight rendering Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File

DarkRadiant: renderer fe06fe75

2021-11-15 17:40:24

greebo

Details Diff
0005584: Add SurfaceRenderer ability to store two separate surface index types, one buffer for GL_TRIANGLES, one for GL_QUADS. Affected Issues
0005584
mod - include/isurfacerenderer.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer 1eb81918

2021-11-15 18:10:14

greebo

Details Diff
0005584: Patch wireframe rendering is working now, using the quad variant of the RenderablePatchTesselation template. Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer 4b4e6b44

2021-11-15 19:46:21

greebo

Details Diff
0005584: Why not letting std::vector use its default growth strategy Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File

DarkRadiant: renderer 4fdd914b

2021-11-16 17:15:47

greebo

Details Diff
0005584: SurfaceRenderer container growth Affected Issues
0005584
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer aec7f050

2021-11-18 12:59:45

greebo

Details Diff
0005584: Wireframe colour is controller by the shader, don't set it in the WindingRenderer. Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File

DarkRadiant: renderer 8913d75f

2021-11-18 14:18:14

greebo

Details Diff
0005584: Solid patch renderable is not rendered twice anymore when node is selected Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - test/Entity.cpp Diff File

DarkRadiant: renderer f1320293

2021-11-18 17:30:17

greebo

Details Diff
0005584: Turns out the IRenderable::viewChanged() method is obsolete Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/RenderableCollectorBase.h Diff File
mod - libs/render/SceneRenderWalker.h Diff File
mod - libs/scene/merge/MergeActionNode.cpp Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File

DarkRadiant: renderer 8b4fbb77

2021-11-19 08:17:40

greebo

Details Diff
0005584: Remove RenderablePatchWireframe class, it's no longer needed Affected Issues
0005584
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer 9bd6664e

2021-11-19 11:22:34

greebo

Details Diff
0005584: Add ability to render a single slot/partition of the surface vertex buffer. This allows us to render the patch highlight overlay using the same buffered data in the shader. We can now get rid of the RenderablePatchSolid helper. Affected Issues
0005584
mod - include/isurfacerenderer.h Diff File
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer 54524a9d

2021-11-19 11:40:32

greebo

Details Diff
0005584: Remove unused RenderableAABB class Affected Issues
0005584
mod - radiant/CMakeLists.txt Diff File
rm - radiant/ui/common/RenderableAABB.cpp Diff File
rm - radiant/ui/common/RenderableAABB.h Diff File
mod - tools/msvc/DarkRadiant.vcxproj Diff File
mod - tools/msvc/DarkRadiant.vcxproj.filters Diff File

DarkRadiant: renderer cb3ecde5

2021-11-19 16:05:26

greebo

Details Diff
0005584: Remove RenderableWireframe for brushes Affected Issues
0005584
mod - radiantcore/brush/Brush.cpp Diff File
mod - radiantcore/brush/Brush.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/brush/RenderableWireFrame.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer 0dc861d8

2021-11-19 16:37:35

greebo

Details Diff
0005584: Fix crash selecting patches Affected Issues
0005584
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer 003b1982

2021-11-19 17:29:56

greebo

Details Diff
0005584: Fix selected patches being invisible in orthoview Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File

DarkRadiant: renderer 0dfc4ce4

2021-11-19 17:46:08

greebo

Details Diff
0005584: Fix highlight of ctrl-shift-selected faces Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File

DarkRadiant: renderer 0f03f0ce

2021-11-20 05:06:48

greebo

Details Diff
0005584: Add ability to render a single winding in a certain primitive mode. This is used to render the selected overlay in the cam and orthoviews. Affected Issues
0005584
mod - include/iwindingrenderer.h Diff File
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/RenderableWinding.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: renderer 8dd63e8a

2021-11-20 05:16:52

greebo

Details Diff
0005584: Move clip plane rendering to renderHighlights, since it needs the brush to be selected to do anything anyway Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File

DarkRadiant: renderer b87979af

2021-11-20 05:32:39

greebo

Details Diff
0005584: Draw selected brush manipulation vertices in renderHighlights() Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File

DarkRadiant: renderer 6ace83f9

2021-11-20 06:12:23

greebo

Details Diff
0005584: Faces that are culled from the current view should still update their renderable geometry, in case brush vertices are moved such that faces turn "invisible" - leaving their last visible geometry behind. Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File

DarkRadiant: renderer 26635306

2021-11-20 07:31:30

greebo

Details Diff
0005584: Replace the functionality in BrushNode::updateWireframeVisibility with updateFaceCentroidPoints(), it's the only remaining purpose. Affected Issues
0005584
mod - libs/render.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File

DarkRadiant: renderer 4937a07e

2021-11-20 08:00:41

greebo

Details Diff
0005584: Deactivate some old code Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File

DarkRadiant: renderer 32ade0e3

2021-11-20 10:29:27

greebo

Details Diff
0005584: Some preparations to hold back winding buffer deletions until the last minute, to be able to re-use deleted slots and to optimise removals of a lot of vertices. Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File

DarkRadiant: renderer 734310b7

2021-11-20 14:04:44

greebo

Details Diff
0005584: Implement CompactWindingVertexBuffer::removeWindings to provide a removal algorithm that touches every moved element only once. Affected Issues
0005584
mod - libs/render/CompactWindingVertexBuffer.h Diff File
mod - libs/render/WindingRenderer.h Diff File
mod - test/WindingRendering.cpp Diff File

DarkRadiant: renderer 2268adf1

2021-11-20 16:11:05

greebo

Details Diff
0005584: Part two to complement CompactWindingVertexBuffer::removeWindings in WindingRenderer Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File

DarkRadiant: renderer e9b256c9

2021-11-20 16:31:36

greebo

Details Diff
0005584: LayerManager::updateNodeVisibility was altering the eLayered flag for every visited node, even if it turns out to be unnecessary. Don't do that, this triggers massive surface-to-material re-linking. Affected Issues
0005584
mod - radiantcore/layers/LayerManager.cpp Diff File

DarkRadiant: renderer2 acc8ac51

2021-11-28 17:48:32

greebo

Details Diff
0005584: Refactor vertex and index storage to private class, to allow for potential replacement with existing types like the IndexedVertexBuffer. Affected Issues
0005584
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer2 cda7b2cf

2021-12-03 04:19:45

greebo

Details Diff
0005584: Rename ISurfaceRenderer to IGeometryRenderer. Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/include.vcxproj Diff File
mod - tools/msvc/include.vcxproj.filters Diff File

DarkRadiant: renderer2 f2b22314

2021-12-03 04:24:12

greebo

Details Diff
0005584: Rearrange precompiled headers a bit. The UI module shouldn't rely on render interfaces that heavily. Affected Issues
0005584
mod - include/precompiled_interfaces.h Diff File
mod - include/precompiled_main.h Diff File
add - include/precompiled_render_interfaces.h Diff File
mod - radiantcore/precompiled.h Diff File

DarkRadiant: renderer2 6e58e217

2021-12-03 09:07:40

greebo

Details Diff
0005584: Rename a few interface methods Affected Issues
0005584
mod - include/igeometryrenderer.h Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: renderer2 9b4af0a6

2021-12-04 04:17:56

greebo

Details Diff
0005584: RenderableTargetLines is submitting indexed geometry to the shader Affected Issues
0005584
mod - include/igeometryrenderer.h Diff File
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/entity/target/TargetKeyCollection.cpp Diff File
mod - radiantcore/entity/target/TargetKeyCollection.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/entity/target/TargetLineNode.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer2 8a2d6088

2021-12-04 04:45:05

greebo

Details Diff
0005584: GeometryRenderer is now supporting GeometryType::Lines. Target line rendering is working again Affected Issues
0005584
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File

DarkRadiant: renderer2 ee5d717c

2021-12-04 05:12:10

greebo

Details Diff
0005584: Target line rendering is working now, including highlight rendering when source entities are selected Affected Issues
0005584
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/entity/target/TargetLineNode.h Diff File
mod - radiantcore/entity/target/TargetableNode.cpp Diff File
mod - radiantcore/entity/target/TargetableNode.h Diff File

DarkRadiant: renderer2 e96f65c5

2021-12-04 05:24:28

greebo

Details Diff
0005584: TargetLineNode cleanup Affected Issues
0005584
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/entity/target/TargetLineNode.h Diff File

DarkRadiant: renderer2 3e50d824

2021-12-04 05:47:15

greebo

Details Diff
0005584: Respect bucket index when adjusting geometry indices Affected Issues
0005584
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File

DarkRadiant: renderer2 593ccd14

2021-12-04 08:08:36

greebo

Details Diff
0005584: Introduce a separate colour shader that is applicable to both camera and ortho views Affected Issues
0005584
mod - include/ieclass.h Diff File
mod - include/irender.h Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer2 1afccd0b

2021-12-04 15:43:10

greebo

Details Diff
0005584: Move some common code to a RenderableGeometry base class Affected Issues
0005584
add - libs/render/RenderableGeometry.h Diff File
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer2 35132bb7

2021-12-04 18:40:07

greebo

Details Diff
0005584: More refactoring to move the shader-specific update routines to the base class. Subclasses should only care about vertices and indices at best. Affected Issues
0005584
mod - libs/render/RenderableGeometry.h Diff File
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer2 6244508c

2021-12-04 18:51:04

greebo

Details Diff
0005584: Make the client code slimmer, the size changes are detected by the base class now Affected Issues
0005584
mod - libs/render/RenderableGeometry.h Diff File
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer2 239332bb

2021-12-05 04:41:29

greebo

Details Diff
0005584: The light diamond is now rendered using the RenderableGeometry base. It's updated only when the light transform has been changed. Affected Issues
0005584
mod - libs/render/RenderableGeometry.h Diff File
mod - radiantcore/entity/ColourKey.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/Renderables.h Diff File

DarkRadiant: renderer2 db61a5da

2021-12-05 04:44:17

greebo

Details Diff
0005584: LightNode's highlight rendering restored Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File

DarkRadiant: renderer2 803d5118

2021-12-05 05:36:48

greebo

Details Diff
0005584: Notify LightNodes when entity settings change.
All LightNodes could subscribe to the settings signal themselves, but the house-keeping code on scene insertion/removal for every single node is not worth the trouble.
Affected Issues
0005584
mod - radiantcore/entity/EntityModule.cpp Diff File
mod - radiantcore/entity/EntityModule.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File

DarkRadiant: renderer2 6da7470f

2021-12-05 05:59:07

greebo

Details Diff
0005584: Renderable light geometry is now respecting the node's orientation.
The transformation is baked into the vertices on transformation change, which the cost of being able to submit all geometry of the same shader in one single draw call.
Affected Issues
0005584
mod - radiantcore/entity/EntityModule.cpp Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/Renderables.h Diff File

DarkRadiant: renderer2 2e32d593

2021-12-05 07:35:43

greebo

Details Diff
0005584: Prepare for light volume rendering. Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File
mod - radiantcore/entity/light/Renderables.h Diff File

DarkRadiant: renderer2 f7129bdd

2021-12-05 07:58:58

greebo

Details Diff
0005584: The simpler case (without start/end) of projected light volumes is displayed Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File
mod - radiantcore/entity/light/Renderables.h Diff File

DarkRadiant: renderer2 155214de

2021-12-05 08:23:06

greebo

Details Diff
0005584: The complex case (light_start defined) of projected light volumes is displayed Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File

DarkRadiant: renderer2 eda8f3f8

2021-12-05 13:03:07

greebo

Details Diff
0005584: Point light wireframe volume Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File

DarkRadiant: renderer2 b62f0b22

2021-12-05 13:47:43

greebo

Details Diff
0005584: Remove old wireframe renderables from LightNode. Affected Issues
0005584
mod - radiantcore/entity/light/Light.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File
mod - radiantcore/entity/light/Renderables.h Diff File

DarkRadiant: renderer2 33a6c52a

2021-12-08 10:32:52

greebo

Details Diff
0005584: Infrastructure to render the generic entity boxes (with and without arrows) Affected Issues
0005584
add - radiantcore/entity/RenderableEntityBox.cpp Diff File
add - radiantcore/entity/RenderableEntityBox.h Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer2 7b2f1dd2

2021-12-10 10:36:15

greebo

Details Diff
0005584: Draw solid and hollow entity boxes Affected Issues
0005584
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/entity/RenderableEntityBox.cpp Diff File
mod - radiantcore/entity/RenderableEntityBox.h Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer2 28320960

2021-12-10 12:28:10

greebo

Details Diff
0005584: Draw entity angle arrows Affected Issues
0005584
mod - radiantcore/CMakeLists.txt Diff File
add - radiantcore/entity/RenderableArrow.cpp Diff File
add - radiantcore/entity/RenderableArrow.h Diff File
mod - radiantcore/entity/RenderableEntityBox.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer2 e891d90b

2021-12-10 12:41:42

greebo

Details Diff
0005584: Cleanup round in GenericEntityNode Affected Issues
0005584
mod - radiantcore/entity/RenderableEntityBox.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.h Diff File

DarkRadiant: renderer2 5d2a1e1a

2021-12-10 12:49:01

greebo

Details Diff
0005584: Highlight rendering of GenericEntityNodes Affected Issues
0005584
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.h Diff File

DarkRadiant: renderer2 a5851240

2021-12-11 03:21:49

greebo

Details Diff
0005584: Use a const AABB reference to construct the RenderableEntityBox.
This might cause troubles when the RenderableEntityBox owner is changed to a base class, or if virtualness is added to some signatures.
In this case, an approach to pass an interface or function object to retrieve the bounds and the world position on demand is probably safer.
Affected Issues
0005584
mod - radiantcore/entity/RenderableEntityBox.cpp Diff File
mod - radiantcore/entity/RenderableEntityBox.h Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.h Diff File

DarkRadiant: renderer2 fce184ca

2021-12-11 04:26:05

greebo

Details Diff
0005584: Refactor circle render methods to accept VertexCb and ArbitraryMeshVertex.
The actual Vertex3f& reference is resolved by using template specialisations.
Affected Issues
0005584
mod - libs/pivot.h Diff File
mod - libs/render.h Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File

DarkRadiant: renderer2 dad2ec13

2021-12-11 05:07:15

greebo

Details Diff
0005584: WIP commit, working on getting the circle geometry Affected Issues
0005584
mod - libs/render.h Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File

DarkRadiant: renderer2 c4468258

2021-12-11 05:16:50

greebo

Details Diff
0005584: Fix speaker and light volumes not always being rendered on selection status change Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File

DarkRadiant: renderer2 4e601152

2021-12-11 05:28:48

greebo

Details Diff
0005584: Set up all three circles to render in the orthoview Affected Issues
0005584
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File

DarkRadiant: renderer2 20b0c1e6

2021-12-11 06:28:13

greebo

Details Diff
0005584: Wireframe radii now shown properly Affected Issues
0005584
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.h Diff File

DarkRadiant: renderer2 5b4f017b

2021-12-11 06:33:47

greebo

Details Diff
0005584: Move the onEntitySettingsChanged() method up one level.
This fixes the SpeakerNode radius not showing up when the "always show speaker radius" option is toggled.
Affected Issues
0005584
mod - radiantcore/entity/EntityModule.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File

DarkRadiant: renderer2 9fbeff58

2021-12-11 17:24:51

greebo

Details Diff
0005584: Working on sphere rendering Affected Issues
0005584
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.h Diff File

DarkRadiant: renderer2 6b3d266b

2021-12-11 18:07:57

greebo

Details Diff
0005584: Speaker sphere vertices and indices are set up Affected Issues
0005584
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File

DarkRadiant: renderer2 b88915d1

2021-12-12 03:54:52

greebo

Details Diff
0005584: Old RenderableArrow class and render method removed Affected Issues
0005584
mod - libs/entitylib.h Diff File
rm - radiantcore/entity/generic/RenderableArrow.h Diff File

DarkRadiant: renderer2 bafdbaf4

2021-12-14 12:46:47

greebo

Details Diff
0005584: Migrate Curve classes to use the RenderableGeometry base Affected Issues
0005584
mod - radiantcore/entity/curve/Curve.cpp Diff File
mod - radiantcore/entity/curve/Curve.h Diff File
mod - radiantcore/entity/curve/RenderableCurve.h Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.cpp Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.h Diff File

DarkRadiant: renderer2 596f52cf

2021-12-14 12:55:35

greebo

Details Diff
0005584: Fix speaker geometry staying behind after closing the map Affected Issues
0005584
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File

DarkRadiant: renderer2 3957655a

2021-12-14 15:19:32

greebo

Details Diff
0005584: Highlight rendering of selected curves Affected Issues
0005584
mod - radiantcore/entity/curve/Curve.cpp Diff File
mod - radiantcore/entity/curve/Curve.h Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.cpp Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.h Diff File

DarkRadiant: renderer2 706201fa

2021-12-16 05:50:55

greebo

Details Diff
0005584: Start migrating particle render methods. Refactoring. Affected Issues
0005584
mod - radiantcore/particles/ParticleNode.cpp Diff File
mod - radiantcore/particles/ParticleNode.h Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File

DarkRadiant: renderer2 381ba0c2

2021-12-16 07:34:33

greebo

Details Diff
0005584: ParticleStages are attaching their geometry to the shader object now.
Turns out that particle rendering needs a 4 component colour attribute, which ArbitraryMeshVertex is lacking right now.
Affected Issues
0005584
mod - libs/render/RenderableGeometry.h Diff File
mod - libs/render/SceneRenderWalker.h Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File
mod - radiantcore/particles/RenderableParticleBunch.cpp Diff File
mod - radiantcore/particles/RenderableParticleBunch.h Diff File
mod - radiantcore/particles/RenderableParticleStage.cpp Diff File
mod - radiantcore/particles/RenderableParticleStage.h Diff File

DarkRadiant: renderer2 44562734

2021-12-16 07:58:15

greebo

Details Diff
0005584: ArbitraryMeshVertex is hosting a 4-component colour vector now.
All other geometry except for ParticleNodes are expecting the colour to be set per draw call (glColor), not per vertex (glColorPointer). This will require a few more steps.
Affected Issues
0005584
mod - libs/render/ArbitraryMeshVertex.h Diff File
mod - radiantcore/model/StaticModelSurface.cpp Diff File
mod - radiantcore/model/export/AseExporter.cpp Diff File
mod - radiantcore/model/export/Lwo2Exporter.cpp Diff File
mod - radiantcore/model/export/ModelExporter.cpp Diff File
mod - radiantcore/model/picomodel/PicoModelLoader.cpp Diff File
mod - radiantcore/particles/RenderableParticleBunch.cpp Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - test/ModelExport.cpp Diff File

DarkRadiant: renderer2 40f65375

2021-12-16 15:22:32

greebo

Details Diff
0005584: Particle Quads are transformed to world space now, they are recalculated each frame anyway Affected Issues
0005584
mod - include/iparticles.h Diff File
mod - radiantcore/particles/ParticleNode.cpp Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File
mod - radiantcore/particles/RenderableParticle.h Diff File
mod - radiantcore/particles/RenderableParticleBunch.cpp Diff File
mod - radiantcore/particles/RenderableParticleBunch.h Diff File
mod - radiantcore/particles/RenderableParticleStage.cpp Diff File
mod - radiantcore/particles/RenderableParticleStage.h Diff File

DarkRadiant: renderer2 1852e40c

2021-12-16 15:52:45

greebo

Details Diff
0005584: Brushes store the entity colour in the vertex attributes now, to fix their wireframe rendering colour Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/RenderableWinding.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/particles/ParticleNode.h Diff File

DarkRadiant: renderer2 6a71e99c

2021-12-17 08:48:36

greebo

Details Diff
0005584: Full-material rendering of patches should be using a white vertex colour. The wireframe representation is using the colour of the parent entity. Affected Issues
0005584
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/patch/PatchTesselation.cpp Diff File
mod - radiantcore/patch/PatchTesselation.h Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File

DarkRadiant: renderer2 4bf23fc6

2021-12-17 09:03:24

greebo

Details Diff
0005584: Curves are writing the entity colour in their vertex attributes Affected Issues
0005584
mod - radiantcore/entity/curve/Curve.cpp Diff File
mod - radiantcore/entity/curve/Curve.h Diff File
mod - radiantcore/entity/curve/CurveCatmullRom.cpp Diff File
mod - radiantcore/entity/curve/CurveCatmullRom.h Diff File
mod - radiantcore/entity/curve/CurveNURBS.cpp Diff File
mod - radiantcore/entity/curve/CurveNURBS.h Diff File
mod - radiantcore/entity/curve/RenderableCurve.h Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.cpp Diff File

DarkRadiant: renderer2 8c607e93

2021-12-17 09:10:57

greebo

Details Diff
0005584: Speaker radii rendered in the colour of the entity Affected Issues
0005584
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerRenderables.h Diff File

DarkRadiant: renderer2 7e768fa8

2021-12-17 09:59:13

greebo

Details Diff
0005584: Entity boxes and arrows are using the entity colour now Affected Issues
0005584
mod - radiantcore/entity/RenderableArrow.cpp Diff File
mod - radiantcore/entity/RenderableEntityBox.cpp Diff File
mod - radiantcore/entity/RenderableEntityBox.h Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer2 02707bf1

2021-12-17 12:56:21

greebo

Details Diff
0005584: Add vertex colours to light renderables Affected Issues
0005584
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File

DarkRadiant: renderer2 9fdb1916

2021-12-17 14:05:21

greebo

Details Diff
0005584: Add vertex colours to target lines Affected Issues
0005584
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File

DarkRadiant: renderer2 55bdb3fa

2021-12-17 14:08:35

greebo

Details Diff
0005584: Brushes are highlighted as a whole if the parent node is selected Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File

DarkRadiant: renderer2 efd0ba7d

2021-12-19 08:21:49

greebo

Details Diff
0005584: RenderablePivot migrated to derive from RenerableGeometry. Affected Issues
0005584
mod - libs/render/RenderablePivot.h Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.cpp Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.h Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.cpp Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.h Diff File

DarkRadiant: renderer2 fafba9d6

2021-12-19 08:26:47

greebo

Details Diff
0005584: Remove dead code Affected Issues
0005584
mod - libs/render/RenderableGeometry.h Diff File
mod - libs/render/RenderablePivot.h Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.cpp Diff File
mod - radiantcore/entity/doom3group/Doom3GroupNode.h Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.cpp Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.h Diff File

DarkRadiant: renderer3 017d5c4e

2021-12-19 08:58:06

greebo

Details Diff
0005584: Compilation fix Affected Issues
0005584
mod - libs/wxutil/preview/ParticlePreview.cpp Diff File

DarkRadiant: renderer3 1f90c3e7

2021-12-21 12:12:08

greebo

Details Diff
0005584: Clip Plane rendering migrated to shader-attached windings.
Brushes now update their clip plane when their selection status is changing.
Affected Issues
0005584
mod - include/iclipper.h Diff File
mod - radiantcore/brush/BrushClipPlane.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/clipper/Clipper.cpp Diff File
mod - radiantcore/clipper/Clipper.h Diff File

DarkRadiant: renderer3 90f1a319

2021-12-21 12:53:29

greebo

Details Diff
0005584: Remove a bunch of unneeded render methods Affected Issues
0005584
mod - radiantcore/brush/BrushClipPlane.h Diff File
mod - radiantcore/brush/Face.cpp Diff File
mod - radiantcore/brush/Face.h Diff File
mod - radiantcore/brush/FaceInstance.cpp Diff File
mod - radiantcore/brush/FaceInstance.h Diff File
mod - radiantcore/brush/Winding.cpp Diff File
mod - radiantcore/brush/Winding.h Diff File

DarkRadiant: renderer3 01b59715

2021-12-21 12:53:53

greebo

Details Diff
0005584: Create base class from RenderableEntityBox, extracting the box part Affected Issues
0005584
add - libs/render/RenderableBox.h Diff File
mod - radiantcore/entity/RenderableEntityBox.cpp Diff File
mod - radiantcore/entity/RenderableEntityBox.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer3 e1e6c658

2021-12-23 17:47:33

greebo

Details Diff
0005584: WIP commit, supporting oriented surfaces Affected Issues
0005584
mod - include/igeometryrenderer.h Diff File
mod - libs/render/RenderableBox.h Diff File
mod - libs/render/RenderableGeometry.h Diff File
mod - radiantcore/model/NullModel.cpp Diff File
mod - radiantcore/model/NullModel.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: renderer3 f9151b69

2021-12-24 06:07:28

greebo

Details Diff
0005584: Introduce ISurfaceRenderer interface to specifically deal with oriented surfaces Affected Issues
0005584
mod - include/igeometryrenderer.h Diff File
mod - include/irender.h Diff File
add - include/isurfacerenderer.h Diff File
mod - libs/render/RenderableBox.h Diff File
mod - libs/render/RenderableGeometry.h Diff File
add - libs/render/RenderableSurface.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
add - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File
mod - tools/msvc/include.vcxproj Diff File
mod - tools/msvc/include.vcxproj.filters Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer3 7a9e46a1

2021-12-24 07:02:04

greebo

Details Diff
0005584: The same RenderableSurface instance can handle being attached to multiple shaders Affected Issues
0005584
mod - libs/render/RenderableSurface.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File

DarkRadiant: renderer3 d8f284f8

2021-12-24 07:23:30

greebo

Details Diff
0005584: Render missing models using a custom texture Affected Issues
0005584
add - install/bitmaps/missing_model.tga Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: renderer3 1291928f

2021-12-25 04:13:24

greebo

Details Diff
0005584: Working on patch lattice renderables Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer3 cf039c0b

2022-01-06 09:19:20

greebo

Details Diff
0005584: Tie renderable lattice to the transformed control points Affected Issues
0005584
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File

DarkRadiant: renderer3 b872517d

2022-01-07 04:45:49

greebo

Details Diff
0005584: Patch control lattice is now rendered when in vertex component mode Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File

DarkRadiant: renderer3 18bd4f58

2022-01-07 05:37:44

greebo

Details Diff
0005584: Patch control point rendering. Selection updates are not correctly updating the view yet. Affected Issues
0005584
mod - include/igeometryrenderer.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File

DarkRadiant: renderer3 0f7847ae

2022-01-07 06:13:01

greebo

Details Diff
0005584: Fix WindingRenderer client state Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer3 4bd70cb0

2022-01-07 06:15:03

greebo

Details Diff
0005584: PatchNode control vertices are updating on selection change Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File

DarkRadiant: renderer3 7d414660

2022-01-07 06:24:23

greebo

Details Diff
0005584: Remove old patch control point renderable code Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File

DarkRadiant: renderer3 23fa033c

2022-01-07 06:29:11

greebo

Details Diff
0005584: Move RenderablePatchControlPoints implementation to cpp file Affected Issues
0005584
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer3 4948db1f

2022-01-08 09:41:23

greebo

Details Diff
0005584: Start refactoring brush vertex rendering. Affected Issues
0005584
mod - libs/render.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/brush/Brush.cpp Diff File
mod - radiantcore/brush/Brush.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
add - radiantcore/brush/RenderableBrushVertices.cpp Diff File
add - radiantcore/brush/RenderableBrushVertices.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer3 0626992b

2022-01-08 10:49:31

greebo

Details Diff
0005584: Move point shader to BrushNode Affected Issues
0005584
mod - radiantcore/brush/Brush.cpp Diff File
mod - radiantcore/brush/Brush.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/brush/RenderableBrushVertices.cpp Diff File

DarkRadiant: renderer3 885fbaa6

2022-01-08 11:00:59

greebo

Details Diff
0005584: Remove visible face centroid point collection. Since brushes are not filtering their centroid points based on the view anymore, this whole mechanism is obsolete now. Affected Issues
0005584
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/brush/Face.cpp Diff File

DarkRadiant: renderer3 ef93420d

2022-01-09 04:52:11

greebo

Details Diff
0005584: Experimental code to render models implementing the IRenderableSurface interface Affected Issues
0005584
mod - libs/render/RenderableSurface.h Diff File
add - radiantcore/model/RenderableStaticSurface.h Diff File
mod - radiantcore/model/StaticModel.cpp Diff File
mod - radiantcore/model/StaticModel.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer3 96603033

2022-01-09 06:20:43

greebo

Details Diff
0005584: Model rendering working on camera and ortho views, no highlighting yet Affected Issues
0005584
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File

DarkRadiant: renderer3 084bdd3f

2022-01-09 08:37:05

greebo

Details Diff
0005584: Highlight rendering of selected model nodes Affected Issues
0005584
mod - radiantcore/model/StaticModelNode.cpp Diff File

DarkRadiant: renderer3 aec7cd24

2022-01-09 09:31:20

greebo

Details Diff
0005584: Handle surface geometry updates on model scale change Affected Issues
0005584
mod - libs/render/RenderableSurface.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File

DarkRadiant: renderer3 041e9f3b

2022-01-09 11:31:49

greebo

Details Diff
0005584: Showing/Hiding model nodes is working again Affected Issues
0005584
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File

DarkRadiant: renderer3 9448c35b

2022-01-14 04:23:03

greebo

Details Diff
0005584: Remove deactivated code from previous experiments Affected Issues
0005584
mod - include/irender.h Diff File
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/Winding.cpp Diff File
mod - radiantcore/brush/Winding.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File

DarkRadiant: renderer3 d20e29c7

2022-01-14 04:48:50

greebo

Details Diff
0005584: Pass the volume test reference to the backend renderer, it should be used to cull surfaces. Affected Issues
0005584
mod - include/irender.h Diff File
mod - libs/wxutil/preview/RenderPreview.cpp Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.h Diff File
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer3 8fb0365e

2022-01-14 16:23:34

greebo

Details Diff
0005584: Add getSurfaceBounds() method to IModelSurface interface Affected Issues
0005584
mod - include/imodelsurface.h Diff File
mod - radiantcore/model/StaticModelSurface.cpp Diff File
mod - radiantcore/model/StaticModelSurface.h Diff File
mod - radiantcore/model/export/PatchSurface.cpp Diff File
mod - radiantcore/model/export/PatchSurface.h Diff File
mod - radiantcore/model/md5/MD5Surface.cpp Diff File
mod - radiantcore/model/md5/MD5Surface.h Diff File
mod - test/ModelExport.cpp Diff File

DarkRadiant: renderer3 e1601a8c

2022-01-14 16:39:04

greebo

Details Diff
0005584: Cull surfaces outside the render view Affected Issues
0005584
mod - include/imodelsurface.h Diff File
mod - include/isurfacerenderer.h Diff File
mod - libs/render/RenderableBox.h Diff File
mod - radiantcore/model/RenderableStaticSurface.h Diff File
mod - radiantcore/model/StaticModelSurface.cpp Diff File
mod - radiantcore/model/StaticModelSurface.h Diff File
mod - radiantcore/model/export/PatchSurface.cpp Diff File
mod - radiantcore/model/export/PatchSurface.h Diff File
mod - radiantcore/model/md5/MD5Surface.cpp Diff File
mod - radiantcore/model/md5/MD5Surface.h Diff File
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File
mod - test/ModelExport.cpp Diff File

DarkRadiant: renderer3 6302eb35

2022-01-15 17:54:31

greebo

Details Diff
0005584: Use the wire shader instead of the colour shader, we don't need to render models twice Affected Issues
0005584
mod - radiantcore/model/StaticModelNode.cpp Diff File

DarkRadiant: renderer3 a11dd8ed

2022-01-16 04:21:40

greebo

Details Diff
0005584: Remove unused member from StaticModelSurface, expand docs a bit Affected Issues
0005584
mod - radiantcore/model/StaticModelSurface.cpp Diff File
mod - radiantcore/model/StaticModelSurface.h Diff File

DarkRadiant: renderer3 b2029ce2

2022-01-16 04:28:10

greebo

Details Diff
0005584: Remove GL display list handling code from StaticModelSurface Affected Issues
0005584
mod - radiantcore/model/StaticModel.cpp Diff File
mod - radiantcore/model/StaticModelSurface.cpp Diff File
mod - radiantcore/model/StaticModelSurface.h Diff File
mod - radiantcore/model/import/AseModel.cpp Diff File

DarkRadiant: renderer3 3b27ed5d

2022-01-16 04:33:21

greebo

Details Diff
0005584: Remove empty front end render methods from StaticModel. Affected Issues
0005584
mod - radiantcore/model/StaticModel.cpp Diff File
mod - radiantcore/model/StaticModel.h Diff File

DarkRadiant: renderer3 6df202a6

2022-01-16 04:36:59

greebo

Details Diff
0005584: The IModel interface no longer includes the OpenGLRenderable interface, all the implementations have been empty by now. Affected Issues
0005584
mod - include/imodel.h Diff File
mod - radiantcore/model/NullModel.h Diff File
mod - radiantcore/model/StaticModel.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File

DarkRadiant: renderer3 7118ec63

2022-01-16 05:01:48

greebo

Details Diff
0005584: Rename RenderableStaticSurface to RenderableModelSurface Affected Issues
0005584
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer3 fdae71ad

2022-01-16 05:13:30

greebo

Details Diff
0005584: Start by breaking MD5 model rendering. Refactor MD5Model class. RenderableModelSurfaces are created for MD5 surfaces. Affected Issues
0005584
mod - radiantcore/model/md5/MD5Model.cpp Diff File
mod - radiantcore/model/md5/MD5Model.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File

DarkRadiant: renderer3 4336484f

2022-01-16 05:21:06

greebo

Details Diff
0005584: MD5 models attach RenderableModelSurfaces to the shaders now Affected Issues
0005584
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File

DarkRadiant: renderer3 5034bb1a

2022-01-16 05:34:06

greebo

Details Diff
0005584: MD5 model animation is working again, a renderable surface update is queued per each change Affected Issues
0005584
mod - radiantcore/model/md5/MD5Model.cpp Diff File
mod - radiantcore/model/md5/MD5Model.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File

DarkRadiant: renderer3 c7646ec9

2022-01-16 06:12:02

greebo

Details Diff
0005584: Skeleton renderable migrated to derive from RenderableGeometry Affected Issues
0005584
mod - install/user.xml Diff File
mod - radiantcore/model/md5/MD5Model.cpp Diff File
mod - radiantcore/model/md5/MD5Model.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File
mod - radiantcore/model/md5/RenderableMD5Skeleton.h Diff File

DarkRadiant: renderer4 2909af00

2022-01-16 06:18:49

greebo

Details Diff
0005584: Remove dead code Affected Issues
0005584
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File

DarkRadiant: renderer4 f24115c6

2022-01-16 07:27:09

greebo

Details Diff
0005584: Merge branch 'renderer3' into renderer4, resolving conflicts against latest master

# Conflicts:
# radiantcore/entity/light/Light.cpp
# radiantcore/entity/light/Light.h
# radiantcore/entity/light/LightNode.cpp
# radiantcore/entity/light/LightNode.h
Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File

DarkRadiant: renderer4 9ad5f425

2022-01-16 16:02:05

greebo

Details Diff
0005584: Migrate curve control point rendering to derive from RenderableGeometry. Affected Issues
0005584
mod - radiantcore/entity/curve/CurveEditInstance.cpp Diff File
mod - radiantcore/entity/curve/CurveEditInstance.h Diff File
add - radiantcore/entity/curve/RenderableCurveVertices.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 a3b428c7

2022-01-16 16:28:28

greebo

Details Diff
0005584: Remove old control point rendering code Affected Issues
0005584
mod - radiantcore/entity/curve/CurveControlPointFunctors.h Diff File
mod - radiantcore/entity/curve/CurveEditInstance.cpp Diff File
mod - radiantcore/entity/curve/CurveEditInstance.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.h Diff File

DarkRadiant: renderer4 b7a6baa2

2022-01-21 10:48:32

greebo

Details Diff
0005584: Migrated point file rendering to use RenderableGeometry, attached to shaders acquired through the map root node's rendersystem Affected Issues
0005584
mod - include/imap.h Diff File
mod - libs/scene/BasicRootNode.h Diff File
mod - radiant/ui/PointFileChooser.cpp Diff File
mod - radiantcore/map/PointFile.cpp Diff File
mod - radiantcore/map/PointFile.h Diff File
add - radiantcore/map/RenderablePointFile.h Diff File
mod - radiantcore/map/RootNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 20dca7a5

2022-01-21 13:32:07

greebo

Details Diff
0005584: Downgrade the vertex/edge/face point vectors to a simple Vector3 array Affected Issues
0005584
mod - radiantcore/brush/Brush.cpp Diff File
mod - radiantcore/brush/Brush.h Diff File
mod - radiantcore/brush/RenderableBrushVertices.cpp Diff File
mod - radiantcore/entity/target/RenderableTargetLines.h Diff File
mod - radiantcore/map/RenderablePointFile.h Diff File

DarkRadiant: renderer4 b2a1d338

2022-01-21 15:02:41

greebo

Details Diff
0005584: Refactor rendering of selected brush vertices Affected Issues
0005584
mod - include/ibrush.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/brush/BrushSettings.h Diff File
mod - radiantcore/brush/RenderableBrushVertices.cpp Diff File
mod - radiantcore/brush/RenderableBrushVertices.h Diff File

DarkRadiant: renderer4 f14c3216

2022-01-21 15:20:55

greebo

Details Diff
0005584: Remove a bunch of deactivated code Affected Issues
0005584
mod - radiantcore/brush/Brush.cpp Diff File
mod - radiantcore/brush/Brush.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/brush/FaceInstance.cpp Diff File
mod - radiantcore/brush/FaceInstance.h Diff File
mod - radiantcore/brush/RenderableBrushVertices.cpp Diff File

DarkRadiant: renderer4 e68b7352

2022-01-21 17:02:10

greebo

Details Diff
0005584: Refactor light vertex instances into a set.
The selection changed callback is always pointing to the same method in LightNode::selectedChangedComponent.
Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
add - radiantcore/entity/light/LightVertexInstanceSet.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 f2b990b8

2022-01-21 18:24:41

greebo

Details Diff
0005584: Construct RenderableLightVertices class which will be taking care of drawing all the manipulatable light vertices. Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/light/LightVertexInstanceSet.h Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File
mod - radiantcore/entity/light/Renderables.h Diff File

DarkRadiant: renderer4 840bd647

2022-01-21 18:55:59

greebo

Details Diff
0005584: Light Vertex rendering is working now Affected Issues
0005584
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/Renderables.cpp Diff File
mod - radiantcore/entity/light/Renderables.h Diff File

DarkRadiant: renderer4 fde64a9f

2022-01-21 19:15:55

greebo

Details Diff
0005584: Remove old light vertex rendering code Affected Issues
0005584
mod - radiantcore/entity/light/Doom3LightRadius.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
rm - radiantcore/entity/light/RenderableVertices.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 fa3a453b

2022-01-22 04:43:04

greebo

Details Diff
0005584: StaticGeometryNode's origin vertex is using RenderableGeometry now Affected Issues
0005584
add - radiantcore/entity/doom3group/RenderableVertex.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 9537c3fe

2022-01-22 04:45:20

greebo

Details Diff
0005584: Remove render-related code from VertexInstance class. Affected Issues
0005584
mod - radiantcore/entity/VertexInstance.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.h Diff File

DarkRadiant: renderer4 3a329a03

2022-01-22 04:45:20

greebo

Details Diff
0005584: Remove render-related code from VertexInstance class. Affected Issues
0005584
mod - radiantcore/entity/VertexInstance.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File

DarkRadiant: renderer4 f006295f

2022-01-22 05:03:54

greebo

Details Diff
0005584: Some preparations to get manipulator rendering on the rails Affected Issues
0005584
mod - include/imanipulator.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.h Diff File
mod - radiantcore/selection/manipulators/ManipulatorBase.h Diff File

DarkRadiant: renderer4 df5fa390

2022-01-22 07:22:41

greebo

Details Diff
0005584: Start migrating the ModelScaleManipulator Affected Issues
0005584
mod - include/irender.h Diff File
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/render/RenderableCollectionWalker.h Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.h Diff File
add - radiantcore/selection/manipulators/Renderables.h Diff File
mod - test/Entity.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 afb2f5ee

2022-01-22 07:51:10

greebo

Details Diff
0005584: ModelScaleManipulator migrated Affected Issues
0005584
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File

DarkRadiant: renderer4 2d64d9f5

2022-01-22 17:37:52

greebo

Details Diff
0005584: Start working on RotateManipulator class.
Since the drawing is view-dependent, the geometry is updated every single frame in onPreRender.
Affected Issues
0005584
mod - libs/render.h Diff File
mod - libs/selection/BestPoint.h Diff File
mod - radiantcore/selection/Renderables.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File

DarkRadiant: renderer4 e0485efd

2022-01-23 05:27:54

greebo

Details Diff
0005584: Migrate the RotateManipulator's circle renderable Affected Issues
0005584
mod - libs/render.h Diff File
mod - libs/selection/BestPoint.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/Renderables.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.h Diff File

DarkRadiant: renderer4 2ef4888c

2022-01-23 05:36:59

greebo

Details Diff
0005584: Migrate the RotateManipulator's pivot point renderable Affected Issues
0005584
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File

DarkRadiant: renderer4 73670ae9

2022-01-23 06:19:40

greebo

Details Diff
0005584: Define interface for rendering text to the scene Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
add - radiantcore/rendersystem/backend/TextRenderer.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 20a58d3c

2022-01-23 06:57:17

greebo

Details Diff
0005584: First TextRenderer implementation Affected Issues
0005584
mod - include/irender.h Diff File
add - libs/render/RenderableText.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/backend/TextRenderer.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer4 f9ca7d90

2022-01-23 08:00:04

greebo

Details Diff
0005584: Clients can request their text renderers with a certain font style and size Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/rendersystem/backend/TextRenderer.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File

DarkRadiant: renderer4 7f46ab0f

2022-01-23 08:04:36

greebo

Details Diff
0005584: Some docs and comments Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/rendersystem/backend/TextRenderer.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File

DarkRadiant: renderer4 d5653c9f

2022-01-23 13:30:16

greebo

Details Diff
0005584: Remove scale manipulator, after being deactivated for years. Affected Issues
0005584
mod - include/imanipulator.h Diff File
mod - radiant/selection/ManipulateMouseTool.cpp Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
rm - radiantcore/selection/manipulators/ScaleManipulator.cpp Diff File
rm - radiantcore/selection/manipulators/ScaleManipulator.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 12137da4

2022-01-23 13:31:41

greebo

Details Diff
0005584: Start migrating TranslateManipulator Affected Issues
0005584
mod - libs/selection/BestPoint.h Diff File
mod - radiantcore/selection/Renderables.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.h Diff File

DarkRadiant: renderer4 c9e29cea

2022-01-23 13:58:28

greebo

Details Diff
0005584: Working on the TranslateManipulator's arrow tips Affected Issues
0005584
mod - libs/selection/BestPoint.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.h Diff File

DarkRadiant: renderer4 927f86a0

2022-01-23 15:08:13

greebo

Details Diff
0005584: TranslateManipulator arrow tip replaced with a single view-oriented triangle Affected Issues
0005584
rm - radiantcore/selection/Remap.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 7506e061

2022-01-23 15:20:34

greebo

Details Diff
0005584: TranslateManipulator migrated, including RenderableQuad. Affected Issues
0005584
mod - libs/render.h Diff File
mod - libs/selection/BestPoint.h Diff File
rm - radiantcore/selection/Renderables.h Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.h Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 ec8cd1e4

2022-01-23 15:26:42

greebo

Details Diff
0005584: Use CachedKey in TranslateManipulator Affected Issues
0005584
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.h Diff File

DarkRadiant: renderer4 081e049e

2022-01-24 05:32:44

greebo

Details Diff
0005584: Minor cleanup Affected Issues
0005584
mod - include/imodel.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File

DarkRadiant: renderer4 f6f67f11

2022-01-24 05:33:21

greebo

Details Diff
0005584: Start migrating RenderableAasFile. Move RenderableBoundingBoxes to render namespace. Affected Issues
0005584
add - libs/render/RenderableBoundingBoxes.h Diff File
mod - radiant/ui/aas/AasControl.cpp Diff File
mod - radiant/ui/aas/RenderableAasFile.cpp Diff File
mod - radiant/ui/aas/RenderableAasFile.h Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.h Diff File
mod - radiantcore/selection/manipulators/Renderables.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer4 8e7f007c

2022-01-24 06:06:19

greebo

Details Diff
0005584: AAS area numbers are rendered through RenderableText instances now. Affected Issues
0005584
mod - libs/render/RenderableText.h Diff File
mod - radiant/ui/aas/RenderableAasFile.cpp Diff File
mod - radiant/ui/aas/RenderableAasFile.h Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File

DarkRadiant: renderer4 a93973d9

2022-01-24 06:07:46

greebo

Details Diff
0005584: Cleanup RenderableAasFile class Affected Issues
0005584
mod - radiant/ui/aas/RenderableAasFile.cpp Diff File
mod - radiant/ui/aas/RenderableAasFile.h Diff File

DarkRadiant: renderer4 3393128a

2022-01-24 09:34:37

greebo

Details Diff
0005584: Migrate entity name rendering. Everything except the colour is working.
Added OriginKey member to EntityNode - all subclasses need to be adjusted now to use the same observer.
Affected Issues
0005584
mod - libs/render/RenderableText.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/NameKey.h Diff File
add - radiantcore/entity/RenderableEntityName.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 c4933056

2022-01-24 10:27:18

greebo

Details Diff
0005584: Refactor text rendering classes into two separate implementations. This makes the RenderableEntityName branch much easier to manage. Affected Issues
0005584
mod - include/ieclass.h Diff File
rm - libs/render/RenderableText.h Diff File
add - libs/render/RenderableTextBase.h Diff File
add - libs/render/StaticRenderableText.h Diff File
mod - radiant/ui/aas/RenderableAasFile.cpp Diff File
mod - radiant/ui/aas/RenderableAasFile.h Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/NameKey.h Diff File
mod - radiantcore/entity/RenderableEntityName.h Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer4 393c030a

2022-01-24 10:46:53

greebo

Details Diff
0005584: The RenderableEntityName instance needs to get hold of the up-to-date origin during transformations. For now, I'm going to introduce a getWorldPosition() method which is implemented by all the entity classes.
The origin member is implemented in all 5 entity sub types in a very similar way which has great potential to be simplified and moved to the common EntityNode base.
Affected Issues
0005584
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
add - radiantcore/entity/RenderableEntityName.cpp Diff File
mod - radiantcore/entity/RenderableEntityName.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.h Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.cpp Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.h Diff File
mod - radiantcore/entity/generic/GenericEntityNode.cpp Diff File
mod - radiantcore/entity/generic/GenericEntityNode.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 546d152d

2022-01-24 10:49:57

greebo

Details Diff
0005584: Use the entity colour for rendering the name. Affected Issues
0005584
mod - radiantcore/entity/RenderableEntityName.cpp Diff File
mod - radiantcore/entity/RenderableEntityName.h Diff File

DarkRadiant: renderer4 238877f2

2022-01-24 11:29:32

greebo

Details Diff
0005584: Migrate SpacePartitionRenderer to use a special RenderableBoundingBoxes geometry type. Affected Issues
0005584
mod - libs/render/RenderableBoundingBoxes.h Diff File
add - libs/render/RenderableColouredBoundingBoxes.h Diff File
mod - libs/render/RenderableSpacePartition.h Diff File
mod - tools/msvc/libs.vcxproj Diff File
mod - tools/msvc/libs.vcxproj.filters Diff File

DarkRadiant: renderer4 90a2ec33

2022-01-24 11:42:16

greebo

Details Diff
0005584: Remove unused code and classes related to patch vertex / lattice rendering Affected Issues
0005584
mod - libs/render.h Diff File
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File

DarkRadiant: renderer4 66458f9d

2022-01-24 11:47:08

greebo

Details Diff
0005584: Remove more unused patch rendering code Affected Issues
0005584
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File

DarkRadiant: renderer4 8061cdd5

2022-01-24 11:52:07

greebo

Details Diff
0005584: Remove deactivated patch renderables Affected Issues
0005584
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/patch/PatchRenderables.cpp Diff File
mod - radiantcore/patch/PatchRenderables.h Diff File

DarkRadiant: renderer4 97af6c92

2022-01-24 11:57:14

greebo

Details Diff
0005584: Remove deactivated code in PatchNode class Affected Issues
0005584
mod - radiantcore/patch/Patch.cpp Diff File
mod - radiantcore/patch/Patch.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File

DarkRadiant: renderer4 00b8749b

2022-01-24 12:02:30

greebo

Details Diff
0005584: Reduce code duplication when updating or clearing patch renderables Affected Issues
0005584
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File

DarkRadiant: renderer4 b343967c

2022-01-24 12:18:59

greebo

Details Diff
0005584: Fix merge node highlight rendering Affected Issues
0005584
mod - libs/scene/merge/MergeActionNode.cpp Diff File
mod - libs/scene/merge/MergeActionNode.h Diff File

DarkRadiant: renderer4 d722ce84

2022-01-24 12:34:20

greebo

Details Diff
0005584: Fix attached lights not being translated along with their parents. Affected Issues
0005584
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File

DarkRadiant: renderer4 19bcc768

2022-01-24 12:36:47

greebo

Details Diff
0005584: Remove unneeded render overrides from SpeakerNode Affected Issues
0005584
mod - radiantcore/entity/speaker/SpeakerNode.cpp Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File

DarkRadiant: renderer4 d8823b2d

2022-01-24 12:47:25

greebo

Details Diff
0005584: Don't render invisible particle stages. Remove unneeded renderSolid/renderWireframe code. Affected Issues
0005584
mod - radiantcore/particles/RenderableParticle.cpp Diff File

DarkRadiant: renderer4 8bd6ca6c

2022-01-24 14:53:40

greebo

Details Diff
0005584: Renderable interface now requires the onPreRender method to be implemented. Dropped renderSolid and renderWireframe since no implementations were left.
Lighting mode rendering is broken at this point, all according to plan.
Affected Issues
0005584
mod - include/irenderable.h Diff File
mod - libs/render/CamRenderer.h Diff File
mod - libs/render/RenderableCollectorBase.h Diff File
mod - libs/render/RenderableSpacePartition.h Diff File
mod - libs/render/SceneRenderWalker.h Diff File
mod - libs/scene/BasicRootNode.h Diff File
mod - libs/scene/merge/MergeActionNode.cpp Diff File
mod - libs/scene/merge/MergeActionNode.h Diff File
mod - radiant/ui/aas/RenderableAasFile.cpp Diff File
mod - radiant/ui/aas/RenderableAasFile.h Diff File
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/brush/BrushNode.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/entity/EntityNode.h Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.h Diff File
mod - radiantcore/entity/speaker/SpeakerNode.h Diff File
mod - radiantcore/entity/target/TargetLineNode.cpp Diff File
mod - radiantcore/entity/target/TargetLineNode.h Diff File
mod - radiantcore/map/RootNode.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File
mod - radiantcore/model/StaticModelNode.cpp Diff File
mod - radiantcore/model/StaticModelNode.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5ModelNode.h Diff File
mod - radiantcore/particles/ParticleNode.cpp Diff File
mod - radiantcore/particles/ParticleNode.h Diff File
mod - radiantcore/particles/RenderableParticle.cpp Diff File
mod - radiantcore/particles/RenderableParticle.h Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/patch/PatchNode.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File
mod - radiantcore/selection/RadiantSelectionSystem.h Diff File
mod - test/Entity.cpp Diff File
mod - test/SceneNode.cpp Diff File

DarkRadiant: renderer4 60f78e50

2022-01-24 18:28:26

greebo

Details Diff
0005584: Start expanding the RenderSystem interface to provide a separate method to acquire built-in shaders.
This should replace all the shaders addressed by magic strings like "$WIRE_OVERLAY".
Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
add - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
add - radiantcore/rendersystem/backend/BuiltInShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 4e9d8221

2022-01-24 19:03:01

greebo

Details Diff
0005584: Migrate $FLATSHADE_OVERLAY to BuiltInShaderType::FlatshadeOverlay Affected Issues
0005584
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/rendersystem/RenderSystemFactory.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File

DarkRadiant: renderer4 a5a254be

2022-01-24 19:03:22

greebo

Details Diff
0005584: Fix renderable quad missing an edge Affected Issues
0005584
mod - radiantcore/selection/manipulators/Renderables.h Diff File

DarkRadiant: renderer4 43762874

2022-01-25 02:43:51

greebo

Details Diff
0005584: Migrating built-in shaders Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiant/ui/aas/RenderableAasFile.cpp Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer4 590dafbb

2022-01-25 03:14:32

greebo

Details Diff
0005584: Migrating built-in shaders Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiantcore/brush/BrushClipPlane.h Diff File
mod - radiantcore/map/PointFile.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/TranslateManipulator.cpp Diff File
mod - radiantcore/selection/textool/TextureToolRotateManipulator.cpp Diff File

DarkRadiant: renderer4 37f1e108

2022-01-25 03:28:28

greebo

Details Diff
0005584: Migrating built-in shaders Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiant/xyview/tools/MeasurementTool.cpp Diff File
mod - radiantcore/brush/BrushNode.cpp Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/light/LightNode.cpp Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/selection/manipulators/ModelScaleManipulator.cpp Diff File
mod - radiantcore/selection/manipulators/RotateManipulator.cpp Diff File

DarkRadiant: renderer4 5ca7c06e

2022-01-25 03:36:11

greebo

Details Diff
0005584: Migrating built-in shaders Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/entity/doom3group/StaticGeometryNode.cpp Diff File
mod - radiantcore/entity/eclassmodel/EclassModelNode.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer4 d2a56f90

2022-01-25 03:56:04

greebo

Details Diff
0005584: Migrating built-in shaders Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiant/camera/CamWnd.cpp Diff File
mod - radiantcore/patch/PatchNode.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer4 8ed0bd90

2022-01-25 04:10:25

greebo

Details Diff
0005584: Migrating built-in shaders Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.cpp Diff File
mod - radiantcore/rendersystem/backend/BuiltInShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer4 ad5924ae

2022-01-25 10:22:10

greebo

Details Diff
0005584: Colour shaders of entities are now acquired with a Colour4 argument instead of the vector-style (), <>, [] or {} syntax. Affected Issues
0005584
mod - include/ieclass.h Diff File
mod - include/irender.h Diff File
mod - libs/render/Colour4.h Diff File
mod - radiant/xyview/tools/MeasurementTool.cpp Diff File
mod - radiantcore/CMakeLists.txt Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File
mod - radiantcore/entity/ColourKey.h Diff File
mod - radiantcore/entity/EntityNode.cpp Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
add - radiantcore/rendersystem/backend/ColourShader.cpp Diff File
add - radiantcore/rendersystem/backend/ColourShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - test/WorldspawnColour.cpp Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj Diff File
mod - tools/msvc/DarkRadiantCore.vcxproj.filters Diff File

DarkRadiant: renderer4 0a060fb9

2022-01-25 10:24:35

greebo

Details Diff
0005584: Leave an assert at the place where the old vector shaders had been parsed to break the application in debug mode. Affected Issues
0005584
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer4 8577d866

2022-01-25 11:02:49

greebo

Details Diff
0005584: Remove unused code related to the legacy colour shaders Affected Issues
0005584
mod - include/ieclass.h Diff File
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - radiantcore/eclass/EntityClass.h Diff File

DarkRadiant: renderer4 06b14fc2

2022-01-25 11:58:37

greebo

Details Diff
0005584: When switching to merge display mode, the colour shaders will reorganise themselves to switch to a transparent grey shading in ortho view. Affected Issues
0005584
mod - include/irender.h Diff File
mod - radiantcore/map/Map.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.cpp Diff File
mod - radiantcore/rendersystem/OpenGLRenderSystem.h Diff File
mod - radiantcore/rendersystem/backend/ColourShader.cpp Diff File
mod - radiantcore/rendersystem/backend/ColourShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File

DarkRadiant: renderer4 6fb1375e

2022-01-25 12:05:29

greebo

Details Diff
0005584: Remove old $XY_INACTIVE_NODE shader Affected Issues
0005584
mod - radiant/xyview/XYRenderer.h Diff File
mod - radiant/xyview/XYWnd.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File

DarkRadiant: renderer4 f81aa761

2022-01-25 12:19:55

greebo

Details Diff
0005584: Add BasicVector4 to natvis file Affected Issues
0005584
mod - tools/msvc/natvis/mathlib.natvis Diff File

DarkRadiant: renderer4 c4f7185f

2022-01-25 14:56:16

greebo

Details Diff
0005584: Fix crashes in lighting mode. It's pretty dark in here, but at least it's not crashing. Affected Issues
0005584
mod - libs/render/WindingRenderer.h Diff File
mod - radiantcore/rendersystem/backend/GeometryRenderer.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.cpp Diff File
mod - radiantcore/rendersystem/backend/OpenGLShader.h Diff File
mod - radiantcore/rendersystem/backend/OpenGLShaderPass.cpp Diff File
mod - radiantcore/rendersystem/backend/SurfaceRenderer.h Diff File

DarkRadiant: renderer4 cd0d5d0d

2022-01-25 15:17:32

greebo

Details Diff
0005584: Add fix for entity classes not defining an editor_color anywhere, plus corresponding test. Affected Issues
0005584
mod - radiantcore/eclass/EntityClass.cpp Diff File
mod - test/Entity.cpp Diff File

DarkRadiant: renderer4 01fe410d

2022-01-25 15:28:10

greebo

Details Diff
0005584: Adjust entity override colour data type to be of Vector4.
Take out a few unit tests that are relying on the IRenderableCollector front end scheme.
Affected Issues
0005584
mod - include/ieclasscolours.h Diff File
mod - radiantcore/eclass/EClassColourManager.cpp Diff File
mod - radiantcore/eclass/EClassColourManager.h Diff File
mod - radiantcore/eclass/EClassManager.cpp Diff File
mod - test/Entity.cpp Diff File

DarkRadiant: renderer4 9ba8328a

2022-01-25 16:44:20

greebo

Details Diff
0005584: Fix the rest of the unit tests Affected Issues
0005584
mod - test/TextureTool.cpp Diff File
mod - test/WorldspawnColour.cpp Diff File

DarkRadiant: renderer4 8601fa77

2022-01-25 17:18:26

greebo

Details Diff
0005584: Remove unneeded renderable classes from NullModel. Cleanup the class a bit. Affected Issues
0005584
mod - radiantcore/model/NullModel.cpp Diff File
mod - radiantcore/model/NullModel.h Diff File
mod - radiantcore/model/NullModelNode.cpp Diff File
mod - radiantcore/model/NullModelNode.h Diff File

DarkRadiant: renderer4 28b3cd92

2022-01-25 17:29:10

greebo

Details Diff
0005584: Remove GL code from entitylib.h Affected Issues
0005584
mod - libs/entitylib.h Diff File

DarkRadiant: renderer4 68d473a1

2022-01-25 17:32:53

greebo

Details Diff
0005584: GCC compilation Affected Issues
0005584
mod - radiantcore/selection/manipulators/Renderables.h Diff File

DarkRadiant: renderer4 029b85d5

2022-01-25 17:46:32

greebo

Details Diff
0005584: Remove the render code from Winding.cpp. In case we need it for reviving some of the lighting render code, this is the commit to look for. Affected Issues
0005584
mod - radiantcore/brush/Winding.cpp Diff File

DarkRadiant: renderer4 b6235342

2022-01-26 06:57:26

greebo

Details Diff
0005584: Remove inactive code from MD5Model Affected Issues
0005584
mod - radiantcore/model/md5/MD5Model.cpp Diff File
mod - radiantcore/model/md5/MD5Model.h Diff File
mod - radiantcore/model/md5/MD5ModelNode.cpp Diff File
mod - radiantcore/model/md5/MD5Surface.h Diff File
mod - radiantcore/selection/RadiantSelectionSystem.cpp Diff File

DarkRadiant: renderer4 84d0f549

2022-01-26 07:05:28

greebo

Details Diff
0005584: Remove GL display list code from MD5Surface. Affected Issues
0005584
mod - radiantcore/model/md5/MD5Surface.cpp Diff File
mod - radiantcore/model/md5/MD5Surface.h Diff File

Issue History

Date Modified Username Field Change
10.04.2021 07:05 greebo New Issue
10.04.2021 07:05 greebo Status new => confirmed
10.04.2021 07:06 greebo Assigned To => greebo
10.04.2021 07:06 greebo Status confirmed => assigned
01.11.2021 08:40 greebo Changeset attached => DarkRadiant renderer 1d054538
01.11.2021 08:40 greebo Changeset attached => DarkRadiant renderer 8dc31253
01.11.2021 08:40 greebo Changeset attached => DarkRadiant renderer 1eee48d4
01.11.2021 08:40 greebo Changeset attached => DarkRadiant renderer a9e77a3b
01.11.2021 20:06 orbweaver Note Added: 0014480
02.11.2021 03:08 greebo Changeset attached => DarkRadiant renderer 4c2e7335
02.11.2021 03:08 greebo Changeset attached => DarkRadiant renderer 5b29f123
02.11.2021 03:08 greebo Changeset attached => DarkRadiant renderer f00364ba
02.11.2021 03:10 greebo Changeset attached => DarkRadiant renderer b2fd9ab2
02.11.2021 03:10 greebo Changeset attached => DarkRadiant renderer 3c324a5f
02.11.2021 03:22 greebo Note Added: 0014484
02.11.2021 03:23 greebo Note Edited: 0014484
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer d9ac2aed
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer dd9d9b89
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 4e39896a
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer e907c442
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 98ae4d24
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 70959f8e
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer b435b0b9
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 752b7ee6
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer db2f11e1
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 888359b6
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 5233d478
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 4e56b8db
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 97f2834f
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 17147978
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 1b9174fd
07.11.2021 17:58 greebo Changeset attached => DarkRadiant renderer 50117a8b
14.11.2021 05:33 greebo Changeset attached => DarkRadiant renderer c47e4b93
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer 5f19f0a3
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer 98bde91f
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer a8bc5373
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer 9fd332ad
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer d6e86304
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer 4d9bc0d8
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer cdafb3ba
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer e4bae9c2
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer b8deeb58
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer 362d05b8
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer f0eace1a
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer 478dbe88
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer b49f9730
14.11.2021 05:34 greebo Changeset attached => DarkRadiant renderer d41a1723
14.11.2021 11:19 greebo Changeset attached => DarkRadiant renderer 1d628688
14.11.2021 18:06 greebo Changeset attached => DarkRadiant renderer e58ce0e0
14.11.2021 18:07 greebo Changeset attached => DarkRadiant renderer fc12d62e
14.11.2021 18:07 greebo Changeset attached => DarkRadiant renderer 6da53669
14.11.2021 18:07 greebo Changeset attached => DarkRadiant renderer f2b4d088
15.11.2021 18:36 greebo Changeset attached => DarkRadiant renderer fe06fe75
15.11.2021 18:36 greebo Changeset attached => DarkRadiant renderer 1eb81918
16.11.2021 17:14 greebo Changeset attached => DarkRadiant renderer 4b4e6b44
18.11.2021 13:01 greebo Changeset attached => DarkRadiant renderer 4fdd914b
18.11.2021 13:01 greebo Changeset attached => DarkRadiant renderer aec7f050
19.11.2021 11:22 greebo Changeset attached => DarkRadiant renderer 8913d75f
19.11.2021 11:22 greebo Changeset attached => DarkRadiant renderer f1320293
19.11.2021 11:22 greebo Changeset attached => DarkRadiant renderer 8b4fbb77
19.11.2021 11:22 greebo Changeset attached => DarkRadiant renderer 9bd6664e
19.11.2021 16:37 greebo Changeset attached => DarkRadiant renderer 54524a9d
19.11.2021 16:37 greebo Changeset attached => DarkRadiant renderer cb3ecde5
19.11.2021 16:37 greebo Changeset attached => DarkRadiant renderer 0dc861d8
19.11.2021 17:30 greebo Changeset attached => DarkRadiant renderer 003b1982
19.11.2021 17:46 greebo Changeset attached => DarkRadiant renderer 0dfc4ce4
20.11.2021 06:12 greebo Changeset attached => DarkRadiant renderer 0f03f0ce
20.11.2021 06:12 greebo Changeset attached => DarkRadiant renderer 8dd63e8a
20.11.2021 06:12 greebo Changeset attached => DarkRadiant renderer b87979af
20.11.2021 06:12 greebo Changeset attached => DarkRadiant renderer 6ace83f9
20.11.2021 16:22 greebo Changeset attached => DarkRadiant renderer 26635306
20.11.2021 16:22 greebo Changeset attached => DarkRadiant renderer 4937a07e
20.11.2021 16:22 greebo Changeset attached => DarkRadiant renderer 32ade0e3
20.11.2021 16:22 greebo Changeset attached => DarkRadiant renderer 734310b7
20.11.2021 16:22 greebo Changeset attached => DarkRadiant renderer 2268adf1
20.11.2021 16:31 greebo Changeset attached => DarkRadiant renderer e9b256c9
04.12.2021 05:12 greebo Changeset attached => DarkRadiant renderer2 acc8ac51
04.12.2021 05:12 greebo Changeset attached => DarkRadiant renderer2 cda7b2cf
04.12.2021 05:12 greebo Changeset attached => DarkRadiant renderer2 f2b22314
04.12.2021 05:12 greebo Changeset attached => DarkRadiant renderer2 6e58e217
04.12.2021 05:12 greebo Changeset attached => DarkRadiant renderer2 9b4af0a6
04.12.2021 05:12 greebo Changeset attached => DarkRadiant renderer2 8a2d6088
04.12.2021 05:12 greebo Changeset attached => DarkRadiant renderer2 ee5d717c
04.12.2021 18:51 greebo Changeset attached => DarkRadiant renderer2 e96f65c5
04.12.2021 18:51 greebo Changeset attached => DarkRadiant renderer2 3e50d824
04.12.2021 18:51 greebo Changeset attached => DarkRadiant renderer2 593ccd14
04.12.2021 18:51 greebo Changeset attached => DarkRadiant renderer2 1afccd0b
04.12.2021 18:51 greebo Changeset attached => DarkRadiant renderer2 35132bb7
04.12.2021 18:51 greebo Changeset attached => DarkRadiant renderer2 6244508c
05.12.2021 04:44 greebo Changeset attached => DarkRadiant renderer2 239332bb
05.12.2021 04:44 greebo Changeset attached => DarkRadiant renderer2 db61a5da
05.12.2021 13:48 greebo Changeset attached => DarkRadiant renderer2 803d5118
05.12.2021 13:48 greebo Changeset attached => DarkRadiant renderer2 6da7470f
05.12.2021 13:48 greebo Changeset attached => DarkRadiant renderer2 2e32d593
05.12.2021 13:48 greebo Changeset attached => DarkRadiant renderer2 f7129bdd
05.12.2021 13:48 greebo Changeset attached => DarkRadiant renderer2 155214de
05.12.2021 13:48 greebo Changeset attached => DarkRadiant renderer2 eda8f3f8
05.12.2021 13:48 greebo Changeset attached => DarkRadiant renderer2 b62f0b22
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 33a6c52a
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 7b2f1dd2
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 28320960
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 e891d90b
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 5d2a1e1a
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 a5851240
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 fce184ca
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 dad2ec13
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 c4468258
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 4e601152
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 20b0c1e6
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 5b4f017b
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 9fbeff58
11.12.2021 18:24 greebo Changeset attached => DarkRadiant renderer2 6b3d266b
14.12.2021 16:22 greebo Changeset attached => DarkRadiant renderer2 b88915d1
14.12.2021 16:22 greebo Changeset attached => DarkRadiant renderer2 bafdbaf4
14.12.2021 16:22 greebo Changeset attached => DarkRadiant renderer2 596f52cf
14.12.2021 16:22 greebo Changeset attached => DarkRadiant renderer2 3957655a
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 706201fa
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 381ba0c2
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 44562734
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 40f65375
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 1852e40c
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 6a71e99c
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 4bf23fc6
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 8c607e93
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 7e768fa8
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 02707bf1
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 9fdb1916
17.12.2021 14:08 greebo Changeset attached => DarkRadiant renderer2 55bdb3fa
19.12.2021 08:40 greebo Changeset attached => DarkRadiant renderer2 efd0ba7d
19.12.2021 08:40 greebo Changeset attached => DarkRadiant renderer2 fafba9d6
19.12.2021 09:40 greebo Changeset attached => DarkRadiant renderer3 017d5c4e
24.12.2021 13:09 greebo Changeset attached => DarkRadiant renderer3 1f90c3e7
24.12.2021 13:09 greebo Changeset attached => DarkRadiant renderer3 90f1a319
24.12.2021 13:09 greebo Changeset attached => DarkRadiant renderer3 01b59715
24.12.2021 13:09 greebo Changeset attached => DarkRadiant renderer3 e1e6c658
24.12.2021 13:09 greebo Changeset attached => DarkRadiant renderer3 f9151b69
24.12.2021 13:09 greebo Changeset attached => DarkRadiant renderer3 7a9e46a1
24.12.2021 13:09 greebo Changeset attached => DarkRadiant renderer3 d8f284f8
07.01.2022 06:18 greebo Changeset attached => DarkRadiant renderer3 1291928f
07.01.2022 06:18 greebo Changeset attached => DarkRadiant renderer3 cf039c0b
07.01.2022 06:18 greebo Changeset attached => DarkRadiant renderer3 b872517d
07.01.2022 06:18 greebo Changeset attached => DarkRadiant renderer3 18bd4f58
07.01.2022 06:18 greebo Changeset attached => DarkRadiant renderer3 0f7847ae
07.01.2022 06:18 greebo Changeset attached => DarkRadiant renderer3 4bd70cb0
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 7d414660
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 23fa033c
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 4948db1f
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 0626992b
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 885fbaa6
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 ef93420d
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 96603033
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 084bdd3f
09.01.2022 09:52 greebo Changeset attached => DarkRadiant renderer3 aec7cd24
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 041e9f3b
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 9448c35b
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 d20e29c7
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 8fb0365e
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 e1601a8c
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 6302eb35
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 a11dd8ed
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 b2029ce2
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 3b27ed5d
16.01.2022 04:41 greebo Changeset attached => DarkRadiant renderer3 6df202a6
16.01.2022 06:13 greebo Changeset attached => DarkRadiant renderer3 7118ec63
16.01.2022 06:13 greebo Changeset attached => DarkRadiant renderer3 fdae71ad
16.01.2022 06:13 greebo Changeset attached => DarkRadiant renderer3 4336484f
16.01.2022 06:13 greebo Changeset attached => DarkRadiant renderer3 5034bb1a
16.01.2022 06:13 greebo Changeset attached => DarkRadiant renderer3 c7646ec9
16.01.2022 07:28 greebo Changeset attached => DarkRadiant renderer4 2909af00
16.01.2022 07:28 greebo Changeset attached => DarkRadiant renderer4 f24115c6
16.01.2022 19:30 greebo Changeset attached => DarkRadiant renderer4 9ad5f425
16.01.2022 19:30 greebo Changeset attached => DarkRadiant renderer4 a3b428c7
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 b7a6baa2
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 20dca7a5
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 b2a1d338
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 f14c3216
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 e68b7352
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 f2b990b8
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 840bd647
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 fde64a9f
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 fa3a453b
22.01.2022 04:45 greebo Changeset attached => DarkRadiant renderer4 9537c3fe
22.01.2022 05:03 greebo Changeset attached => DarkRadiant renderer4 3a329a03
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 f006295f
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 df5fa390
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 afb2f5ee
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 2d64d9f5
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 e0485efd
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 2ef4888c
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 73670ae9
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 20a58d3c
23.01.2022 08:00 greebo Changeset attached => DarkRadiant renderer4 f9ca7d90
23.01.2022 19:16 greebo Changeset attached => DarkRadiant renderer4 7f46ab0f
23.01.2022 19:16 greebo Changeset attached => DarkRadiant renderer4 d5653c9f
23.01.2022 19:16 greebo Changeset attached => DarkRadiant renderer4 12137da4
23.01.2022 19:16 greebo Changeset attached => DarkRadiant renderer4 c9e29cea
23.01.2022 19:16 greebo Changeset attached => DarkRadiant renderer4 927f86a0
23.01.2022 19:16 greebo Changeset attached => DarkRadiant renderer4 7506e061
23.01.2022 19:16 greebo Changeset attached => DarkRadiant renderer4 ec8cd1e4
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 081e049e
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 f6f67f11
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 8e7f007c
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 a93973d9
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 3393128a
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 c4933056
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 393c030a
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 546d152d
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 238877f2
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 90a2ec33
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 66458f9d
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 8061cdd5
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 97af6c92
24.01.2022 12:02 greebo Changeset attached => DarkRadiant renderer4 00b8749b
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 b343967c
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 d722ce84
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 19bcc768
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 d8823b2d
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 8bd6ca6c
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 60f78e50
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 4e9d8221
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 a5a254be
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 43762874
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 590dafbb
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 37f1e108
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 5ca7c06e
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 d2a56f90
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 8ed0bd90
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 ad5924ae
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 0a060fb9
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 8577d866
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 06b14fc2
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 6fb1375e
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 f81aa761
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 c4f7185f
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 cd0d5d0d
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 01fe410d
25.01.2022 17:33 greebo Changeset attached => DarkRadiant renderer4 9ba8328a
25.01.2022 18:02 greebo Changeset attached => DarkRadiant renderer4 8601fa77
25.01.2022 18:02 greebo Changeset attached => DarkRadiant renderer4 28b3cd92
25.01.2022 18:02 greebo Changeset attached => DarkRadiant renderer4 68d473a1
26.01.2022 07:29 greebo Changeset attached => DarkRadiant renderer4 029b85d5
26.01.2022 07:29 greebo Changeset attached => DarkRadiant renderer4 b6235342
26.01.2022 07:29 greebo Changeset attached => DarkRadiant renderer4 84d0f549
26.01.2022 07:30 greebo Status assigned => resolved
26.01.2022 07:30 greebo Resolution open => fixed
26.01.2022 07:30 greebo Note Added: 0014694
26.01.2022 10:44 greebo Relationship added related to 0005893
25.02.2022 12:33 greebo Fixed in Version => 3.0.0
25.02.2022 12:33 greebo Target Version => 3.0.0